---
- name: Get the list of enabled roles
  delegate_to: 127.0.0.1
  run_once: true
  become: false
  no_log: true
  uri:
    url: "https://{{ ansible_default_ipv4.address }}/api/servers/1/settings"
    user: "{{ cfme_deploy_app_username }}"
    password: "{{ cfme_deploy_initialpasswd }}"
    method: GET
    validate_certs: no
  register: miq_active_roles_json


- name: Extracting the roles from the JSON output
  set_fact:
    miq_active_roles: "{{ miq_active_roles_json.json.server.role.split(',') }}"

- name: Remove roles from the list of active roles
  set_fact:
    miq_active_roles: "{{ miq_active_roles | difference(miq_disabled_roles) }}"

- name: Add extra roles to list of active roles
  set_fact:
    miq_active_roles: "{{ miq_active_roles | union(miq_enabled_roles) }}"

- name: Update list of active roles
  delegate_to: 127.0.0.1
  run_once: true
  become: false
  no_log: true
  uri:
    url: https://{{ ansible_default_ipv4.address }}/api/servers/1/settings
    user: "{{ cfme_deploy_app_username }}"
    password: "{{ cfme_deploy_initialpasswd }}"
    method: PATCH
    validate_certs: no
    body_format: json
    body:
      server:
        role: "{{ miq_active_roles | join(',') }}"
        company:
        zone: 
